Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.jts.was
Class JTSSynchronization_4_0

`java.lang.Object
org.omg.CORBA.portable.ObjectImpl
org.omg.CosTransactions._SynchronizationImplBase
oracle.toplink.jts.was.WebSphereJTSSynchronization
oracle.toplink.jts.was.JTSSynchronization_4_0`

All Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.InvokeHandler, org.omg.CORBA.Object, java.io.Serializable, org.omg.CosTransactions.Synchronization, org.omg.CosTransactions.SynchronizationOperations, org.omg.CosTransactions.TransactionalObject, org.omg.CosTransactions.TransactionalObjectOperations

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `WebSphereTransactionController_4_0`

public class JTSSynchronization_4_0
extends WebSphereJTSSynchronization

Purpose: Concrete implementation of an ExternalTransactionController.

Description: This class implements the registration of a synchronization object according to the WebSphere 4.0 implementation

Responsibilities:

- Register a listener to the externally controlled transaction.

See Also:
  Serialized Form

Constructor Summary
`JTSSynchronization_4_0()` Deprecated.

Methods inherited from class oracle.toplink.jts.was.WebSphereJTSSynchronization
`setProviderURL`

Methods inherited from class org.omg.CosTransactions._SynchronizationImplBase
`_ids, _invoke`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### JTSSynchronization_4_0

    public JTSSynchronization_4_0()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD